<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];		

include("../conex.php");
$observacion=$_POST["txtdescripcion"];
$id_cpc=$_POST["txtidpago"];
$cliente=$_POST["cliente"];
$id_bodega=$_POST["id_bodega"];
$comproban=$_POST["comproban"];
$id_vendedor=$_POST["lstvendedor"];

$fecha_pago = $fecha; 
$fecha=$fecha[6].$fecha[7].$fecha[8].$fecha[9]."-".$fecha[3].$fecha[4]."-".$fecha[0].$fecha[1];
$hora= date('H:i:s');
/********************************** Datos Empresa *********************************************************************/
$sql_empresa = "SELECT * FROM empresa, comunas WHERE comunas.cod_comuna = empresa.comuna AND id=$id_empresa";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");
		$empresa_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$empresa_comuna=mysql_result($res_empresa, $row, "comunas.comuna");
		$empresa_actividad=mysql_result($res_empresa, $row, "actividad");
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_nombre_representante=mysql_result($res_empresa, $row, "nombre_representante");
		$row=$row+1;
		}	
/********************************** Datos CLIENTE *********************************************************************/
$sql_empresa = "SELECT * FROM nombres WHERE rut='$txtrutc'";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$cliente_rut=mysql_result($res_empresa, $row, "rut");
		$cliente_nombre=mysql_result($res_empresa, $row, "razon_social");
		$cliente_direccion=mysql_result($res_empresa, $row, "direccion");
		$cliente_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$row=$row+1;
		}
//***************** Rebaja Saldos en nombres  *****Elimine saldoctacte en nombres ***********************		
		$total = $_POST["txttotalfac"];
		
//***************** Numero de Recibo Cliente ****************************
	
	$numero_documento=$comproban;
	
//******************  Guardo numero de comprobante **********************
    $up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = '$comproban' WHERE id_dcto =11 AND id_bodega='$id_bodega' AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);

//***************** Abonos de cta.cte. por pago contado ****************************
	$contado =0;
	$tranferencia=0;	
if ($id_cpc==0)
	{
	$formapago=$_POST["lstfp"];

	if ($formapago==2) 	
	{	
	$contado =$total;	
	}	
	else	
	{
	$tranferencia=$total; 
	}
		 
	$documento = 0;
	//************  comprueba si existe comprobante ***********
	$sql_empresa = "SELECT * FROM cabeza_pago_cliente WHERE comprobante='$numero_documento'";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$row=$row+1;
		}
		
		if ($row!=0) {$numero_documento=$numero_documento.'-'.$row;}
		
$sql_ia ="INSERT INTO cabeza_pago_cliente (rut, contado, tranferencia, documento, total, fecha, comprobante, id_vendedor, observacion, hora) VALUES ('$txtrutc', $contado, $tranferencia, $documento, $total, '$fecha', '$numero_documento', $id_vendedor, '$observacion', '$hora' )";

//echo $sql_ia;

	$res_ia = mysql_query($sql_ia,$enlace);

//++++++++++++++++++++++++++++ Sacar el ultimo *******************
	$sql_ultimo = "SELECT Id FROM cabeza_pago_cliente WHERE Id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$id_cpc = mysql_result($res_ultimo, 0, "Id");
	}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Cuenta Corriente</title>
<script type="text/javascript" src="../css/validarut.js"></script>
<script language="javascript" src="../css/cal.js" type="text/javascript"></script>
<style type="text/css">
<!--
.Estilo11 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; }
body {
	background-color: #CCCCCC;
	margin-left: 0px;
	margin-top: 3px;
	margin-right: 0px;
	margin-bottom: 0px;
}
select {
	clear: right;
	float: left;
	height: auto;
	width: 267px;
}
-->
</style></head>

</head>

<body alink="CCCCCC" link="CCCCCC" vlink="CCCCCC">
<div align="center">
 <form id="form1" name="form1" method="post" action="selecciona_cliente.php" target="leftFrame">


<?php 


$tot=$_POST["txtcantidadp"];
for ($i=1; $i<= $tot; $i++)
	{
	if ($chpago[$i]!='')
		{
		if ($chid[$i]=='') //inserto abono en cta_cte  sin factura (anticipo)
			{
			$id_sucursal=0;
			$sql_ia = "INSERT INTO pago_cliente (empresa, rut, num_salida, fecha, descripcion, valor, tipo, usuario, sucursal, id_cpc,  comprobante) VALUES ($id_empresa, '$txtrutc', $chid[$i], '$fecha', '$observacion', $cantidad[$i], 'A', $id_user,  $id_sucursal, $id_cpc, '$numero_documento')";
			//echo $sql_ia;
			$res_ia = mysql_query($sql_ia,$enlace);
			}
		else //inserto pago documento
			{
			$sql_us = "UPDATE salida SET pagada = (pagada+(factor*$cantidad[$i])) WHERE id = $chid[$i]";
			$res_us = mysql_query($sql_us,$enlace);
			}
		if ($cantidad[$i]!=''&&$cantidad[$i]!=0)
			{
			$cantidad_total+=$cantidad[$i];
			}
		}
	}
	
	
	
	$sql_bc = "SELECT * FROM nombres WHERE rut='$txtrutc'";
	$res_bc = mysql_query($sql_bc, $enlace);
	if (mysql_fetch_object ($res_bc))
		{
		$nombre_cliente=mysql_result($res_bc, 0, "razon_social");
		}

	

		?>
		
<table width="640" align="center" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="60px"><div align="center"><img src="../Images/logo.gif" width="60px" height="60px"></div></td>
		<td width="160px"><div align="left"><font size="1">
		<?=$empresa_nombre?><br>
		<?=$empresa_direccion?><br>
		<?=$empresa_ciudad;?>

		</font></div>		</td>
		<td width="420px"><div align="left"><font size="3">
		COMPROBANTE DE PAGO 
		      <?=$numero_documento;?>
		</font></div>		</td>
	</tr>
</table>
<table width="640" border="0" align="center">
	<tr>
		<td width="5%">&nbsp;</td>
		<td width="90%"><div align="justify">
		Con fecha <?=$fecha_pago?> se reciben del Sr(a) <?=$nombre_cliente;?><br> la cantidad de <strong><font size="+1">$<?=number_format($cantidad_total,0,',','.');?></font></strong> por pago de:<br>
		<? for ($i=1; $i<=$tot; $i++)
			{
			if ($chpago[$i]!='')
				{
				$sql_bs = "SELECT * FROM salida, tipo_dcto WHERE salida.id=$chid[$i] AND salida.tipo_dcto=tipo_dcto.id";
				$res_bs = mysql_query($sql_bs, $enlace);
				if (mysql_fetch_object ($res_bs))
					{
					$tpdcto=mysql_result($res_bs, 0, "tipo_dcto.descripcion");
					$numdcto=mysql_result($res_bs, 0, "salida.num_dcto");
					$id_sucursal=mysql_result($res_bs, 0, "id_sucursal");
					echo mysql_result($res_bs, 0, "tipo_dcto.descripcion")." Nš ".mysql_result($res_bs, 0, "salida.num_dcto")." por $".number_format($cantidad[$i],0,',','.')." <br>";
					}
				$sql_ia = "INSERT INTO pago_cliente (empresa, rut, num_salida, fecha, descripcion, valor, tipo, usuario, sucursal, id_cpc, comprobante) VALUES ($id_empresa, '$txtrutc', $chid[$i], '$fecha', 'Pago $tpdcto Nš $numdcto', $cantidad[$i], 'A', $id_user, $id_sucursal, $id_cpc, '$numero_documento')";
				//echo $sql_ia;
				$res_ia = mysql_query($sql_ia,$enlace);
					
				}
			}
			if (($chpago[$i]!='')&&($cantidad[$i]!='')&&($cantidad[$i]!=0))
				{
				echo "ABONO por $".number_format($cantidad[$i],0,',','.')." <br>";
				}
		
		?>
		</div></td>
		<td width="5%">&nbsp;</td>
	</tr>
        
</table>
<table width="640" align="center" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td>
        	<?=$observacion;?>   Hora <?=$hora;?>
        </td>
    </tr>
</table>
			
		<table width="100%" border="0">
          <tr>
            <td width="25%">&nbsp;</td>
            <td width="25%" align="right"><input type="button" name="imprimir" id="imprimir" value="Imprimir" onClick="fun_imprimir();" /></td>
            <td width="25%" align="left"><input type="button" name="volver" id="volver" value="Volver/Salir" onClick="fun_enviar();" /></td>
            <td width="25%">&nbsp;</td>
          </tr>
        </table>
  </form>
</div>  
</body>
</html>
<script language="Javascript">
function cerrar()
{
window.top.open('','_parent','');
window.top.close();
}
function fun_enviar(){
    
	document.form1.action="selecciona_cliente.php";
	document.form1.target="leftFrame";
	document.form1.submit();
	document.form1.action="caja.php";
	document.form1.target="mainFrame";
	document.form1.submit();
	
}
function fun_imprimir()
	{
	
	document.getElementById('imprimir').style.display = "none";
	document.getElementById('volver').style.display = "none"
	window.print();
	document.getElementById('imprimir').style.display = "block";
	document.getElementById('volver').style.display = "block"
	
	};
</script>

